#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.leftmenu import leftmenu

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1299155888.8663399
__CHEETAH_genTimestamp__ = 'Thu Mar  3 13:38:08 2011'
__CHEETAH_src__ = 'templates/wordlist.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Feb 15 15:23:32 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist(leftmenu):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        leftmenu.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # '$_("Word list")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$_("Word list")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_38932328 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        self._CHEETAH__globalSetVars["new_maxitems"] = VFFSL(SL,"wlmaxitems",True) / VFFSL(SL,"wlpage",True)
        self._CHEETAH__globalSetVars["url_wlpat"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"wlpat",True))
        self._CHEETAH__globalSetVars["url_usesubcorp"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"usesubcorp",True))
        self._CHEETAH__globalSetVars["allhref"] = 'wordlist?%s;usesubcorp=%s;wlattr=%s;wlminfreq=%s;wlpat=%s;wlicase=%s;wlmaxitems=%s;keywords=%s;wlsort=%s;ref_corpname=%s;ref_usesubcorp=%s;wlcache=%s;usearf=%s;simple_n=%s' % (VFFSL(SL,"corpname_url",True), VFFSL(SL,"url_usesubcorp",True), VFFSL(SL,"wlattr",True), VFFSL(SL,"wlminfreq",True), VFFSL(SL,"url_wlpat",True), VFFSL(SL,"wlicase",True), VFFSL(SL,"new_maxitems",True), VFFSL(SL,"keywords",True), VFFSL(SL,"wlsort",True), VFFSL(SL,"ref_corpname",True), VFFSL(SL,"ref_usesubcorp",True), VFFSL(SL,"wlcache",True), VFFSL(SL,"usearf",True), VFFSL(SL,"simple_n",True))
        write('''
''')
        if VFFSL(SL,"processing",True): # generated from line 17, col 2
            write('''   <meta http-equiv="refresh" content="3;''')
            _v = VFFSL(SL,"allhref",True) # '$allhref' on line 18, col 42
            if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 18, col 42.
            write('''">
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_38932328
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_options(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_options at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_11081452 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''  <li><a href="wordlist_form?''')
        _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 25, col 30
        if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 25, col 30.
        write(''';wlattr=''')
        _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 25, col 51
        if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 25, col 51.
        write(''';wlminfreq=''')
        _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 25, col 69
        if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 25, col 69.
        write(''';wlpat=''')
        _v = VFFSL(SL,"url_wlpat",True) # '$url_wlpat' on line 25, col 86
        if _v is not None: write(_filter(_v, rawExpr='$url_wlpat')) # from line 25, col 86.
        write(''';wlicase=''')
        _v = VFFSL(SL,"wlicase",True) # '$wlicase' on line 25, col 105
        if _v is not None: write(_filter(_v, rawExpr='$wlicase')) # from line 25, col 105.
        write(''';wlmaxitems=''')
        _v = VFFSL(SL,"new_maxitems",True) # '$new_maxitems' on line 25, col 125
        if _v is not None: write(_filter(_v, rawExpr='$new_maxitems')) # from line 25, col 125.
        write(''';usesubcorp=''')
        _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 25, col 150
        if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 25, col 150.
        write(''';usearf=''')
        _v = VFFSL(SL,"usearf",True) # '$usearf' on line 25, col 173
        if _v is not None: write(_filter(_v, rawExpr='$usearf')) # from line 25, col 173.
        write(''';simple_n=''')
        _v = VFFSL(SL,"simple_n",True) # '$simple_n' on line 25, col 190
        if _v is not None: write(_filter(_v, rawExpr='$simple_n')) # from line 25, col 190.
        write('''">''')
        if False:
            _("Change options")
        _v = VFFSL(SL,"_",False)("Change options") # '$_("Change options")' on line 25, col 201
        if _v is not None: write(_filter(_v, rawExpr='$_("Change options")')) # from line 25, col 201.
        write('''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_11081452
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_61436347 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''  <li><a title="''')
        if False:
            _("Save Word List/Keywords to a text file or XML")
        _v = VFFSL(SL,"_",False)("Save Word List/Keywords to a text file or XML") # '$_("Save Word List/Keywords to a text file or XML")' on line 31, col 17
        if _v is not None: write(_filter(_v, rawExpr='$_("Save Word List/Keywords to a text file or XML")')) # from line 31, col 17.
        write('''" href="savewl_form?''')
        _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 31, col 88
        if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 31, col 88.
        write('''&amp;usesubcorp=''')
        _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 31, col 117
        if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 31, col 117.
        write('''&amp;ref_corpname=''')
        _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 31, col 150
        if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 31, col 150.
        write('''&amp;ref_usesubcorp=''')
        _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 31, col 183
        if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 31, col 183.
        write(''';wlattr=''')
        _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 31, col 206
        if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 31, col 206.
        write(''';wlminfreq=''')
        _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 31, col 224
        if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 31, col 224.
        write(''';wlpat=''')
        _v = VFFSL(SL,"url_wlpat",True) # '$url_wlpat' on line 31, col 241
        if _v is not None: write(_filter(_v, rawExpr='$url_wlpat')) # from line 31, col 241.
        write(''';wlicase=''')
        _v = VFFSL(SL,"wlicase",True) # '$wlicase' on line 31, col 260
        if _v is not None: write(_filter(_v, rawExpr='$wlicase')) # from line 31, col 260.
        write(''';wlmaxitems=''')
        _v = VFFSL(SL,"new_maxitems",True) # '$new_maxitems' on line 31, col 280
        if _v is not None: write(_filter(_v, rawExpr='$new_maxitems')) # from line 31, col 280.
        write(''';wlsort=''')
        _v = VFFSL(SL,"wlsort",True) # '$wlsort' on line 31, col 301
        if _v is not None: write(_filter(_v, rawExpr='$wlsort')) # from line 31, col 301.
        write('''&amp;keywords=''')
        _v = VFFSL(SL,"keywords",True) # '$keywords' on line 31, col 322
        if _v is not None: write(_filter(_v, rawExpr='$keywords')) # from line 31, col 322.
        write(''';wlpage=''')
        _v = VFFSL(SL,"wlpage",True) # '$wlpage' on line 31, col 339
        if _v is not None: write(_filter(_v, rawExpr='$wlpage')) # from line 31, col 339.
        write(''';wlcache=''')
        _v = VFFSL(SL,"wlcache",True) # '$wlcache' on line 31, col 355
        if _v is not None: write(_filter(_v, rawExpr='$wlcache')) # from line 31, col 355.
        write(''';usearf=''')
        _v = VFFSL(SL,"usearf",True) # '$usearf' on line 31, col 371
        if _v is not None: write(_filter(_v, rawExpr='$usearf')) # from line 31, col 371.
        write(''';simple_n=''')
        _v = VFFSL(SL,"simple_n",True) # '$simple_n' on line 31, col 388
        if _v is not None: write(_filter(_v, rawExpr='$simple_n')) # from line 31, col 388.
        write('''">''')
        if False:
            _("Save")
        _v = VFFSL(SL,"_",False)("Save") # '$_("Save")' on line 31, col 399
        if _v is not None: write(_filter(_v, rawExpr='$_("Save")')) # from line 31, col 399.
        write('''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_61436347
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 85, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if (VFFSL(SL,"getVar",False)('Items', '') or VFFSL(SL,"getVar",False)('Keywords', '')) and not (VFFSL(SL,"wlpage",True) == 1 and VFFSL(SL,"lastpage",True)): # generated from line 86, col 1
            write('''<div class="bonito-pagination">
<form action="wordlist">
<fieldset class="float">
''')
            if VFFSL(SL,"wlpage",True) > 1: # generated from line 90, col 3
                write('''    <div class="bonito-pagination-left">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 92, col 14
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 92, col 14.
                write('''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # '$_("<< First")' on line 92, col 24
                if _v is not None: write(_filter(_v, rawExpr='$_("<< First")')) # from line 92, col 24.
                write('''</a> |
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 93, col 14
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 93, col 14.
                write(''';wlpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"wlpage",True)) - 1 # '$(int($wlpage) - 1)' on line 93, col 30
                if _v is not None: write(_filter(_v, rawExpr='$(int($wlpage) - 1)')) # from line 93, col 30.
                write('''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # '$_("< Previous")' on line 93, col 51
                if _v is not None: write(_filter(_v, rawExpr='$_("< Previous")')) # from line 93, col 51.
                write('''</a>
    </div>
''')
            write('''
<div class="bonito-pagination-core">
    <input type="hidden" name="corpname" value=\'''')
            _v = VFFSL(SL,"corpname",True) # '$corpname' on line 98, col 49
            if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 98, col 49.
            write('''\' />
    <input type="hidden" name="usesubcorp" value=\'''')
            _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 99, col 51
            if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 99, col 51.
            write('''\' />
    <input type="hidden" name="wlattr" value=\'''')
            _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 100, col 47
            if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 100, col 47.
            write('''\' />
    <input type="hidden" name="wlminfreq" value=\'''')
            _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 101, col 50
            if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 101, col 50.
            write('''\' />
    <input type="hidden" name="wlpat" value=\'''')
            _v = VFFSL(SL,"wlpat",True) # '$wlpat' on line 102, col 46
            if _v is not None: write(_filter(_v, rawExpr='$wlpat')) # from line 102, col 46.
            write('''\' />
    <input type="hidden" name="wlicase" value=\'''')
            _v = VFFSL(SL,"wlicase",True) # '$wlicase' on line 103, col 48
            if _v is not None: write(_filter(_v, rawExpr='$wlicase')) # from line 103, col 48.
            write('''\' />
    <input type="hidden" name="wlmaxitems" value=\'''')
            _v = VFFSL(SL,"new_maxitems",True) # '$new_maxitems' on line 104, col 51
            if _v is not None: write(_filter(_v, rawExpr='$new_maxitems')) # from line 104, col 51.
            write('''\' />
    <input type="hidden" name="keywords" value=\'''')
            _v = VFFSL(SL,"keywords",True) # '$keywords' on line 105, col 49
            if _v is not None: write(_filter(_v, rawExpr='$keywords')) # from line 105, col 49.
            write('''\' />
    <input type="hidden" name="wlsort" value=\'''')
            _v = VFFSL(SL,"wlsort",True) # '$wlsort' on line 106, col 47
            if _v is not None: write(_filter(_v, rawExpr='$wlsort')) # from line 106, col 47.
            write('''\' />
    <input type="hidden" name="ref_corpname" value=\'''')
            _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 107, col 53
            if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 107, col 53.
            write('''\' />
    <input type="hidden" name="ref_usesubcorp" value=\'''')
            _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 108, col 55
            if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 108, col 55.
            write('''\' />
    <input type="hidden" name="wlcache" value=\'''')
            _v = VFFSL(SL,"wlcache",True) # '$wlcache' on line 109, col 48
            if _v is not None: write(_filter(_v, rawExpr='$wlcache')) # from line 109, col 48.
            write('''\' />
    <input type="hidden" name="usearf" value=\'''')
            _v = VFFSL(SL,"usearf",True) # '$usearf' on line 110, col 47
            if _v is not None: write(_filter(_v, rawExpr='$usearf')) # from line 110, col 47.
            write('''\' />
    <input type="hidden" name="simple_n" value=\'''')
            _v = VFFSL(SL,"simple_n",True) # '$simple_n' on line 111, col 49
            if _v is not None: write(_filter(_v, rawExpr='$simple_n')) # from line 111, col 49.
            write("""' />

  """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # '$_("Page")' on line 113, col 3
            if _v is not None: write(_filter(_v, rawExpr='$_("Page")')) # from line 113, col 3.
            write('''
  <input type="text" name="wlpage" value="''')
            _v = VFFSL(SL,"wlpage",True) # '$wlpage' on line 114, col 43
            if _v is not None: write(_filter(_v, rawExpr='$wlpage')) # from line 114, col 43.
            write('''" size="4" />
  <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # '$_("Go")' on line 115, col 31
            if _v is not None: write(_filter(_v, rawExpr='$_("Go")')) # from line 115, col 31.
            write('''" />
</div>

''')
            if not VFFSL(SL,"lastpage",True): # generated from line 118, col 3
                write('''  <div class="bonito-pagination-right">
  <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 120, col 12
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 120, col 12.
                write(''';wlpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"wlpage",True)) + 1 # '$(int($wlpage) + 1)' on line 120, col 28
                if _v is not None: write(_filter(_v, rawExpr='$(int($wlpage) + 1)')) # from line 120, col 28.
                write('''" id="''')
                _v = VFFSL(SL,"navid",True) # '$navid' on line 120, col 53
                if _v is not None: write(_filter(_v, rawExpr='$navid')) # from line 120, col 53.
                write('''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # '$_("Next >")' on line 120, col 61
                if _v is not None: write(_filter(_v, rawExpr='$_("Next >")')) # from line 120, col 61.
                write('''</a>
  </div>
''')
            else: # generated from line 122, col 3
                write('''  <a id="''')
                _v = VFFSL(SL,"navid",True) # '$navid' on line 123, col 10
                if _v is not None: write(_filter(_v, rawExpr='$navid')) # from line 123, col 10.
                write('''"></a>
''')
            write('''</fieldset>
</form>
</div> 
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 35, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_97935478 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"keywords",True): # generated from line 37, col 1
            write('''  <h3>''')
            if False:
                _("Keywords")
            _v = VFFSL(SL,"_",False)("Keywords") # '$_("Keywords")' on line 38, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Keywords")')) # from line 38, col 7.
            write('''</h3>
''')
        else: # generated from line 39, col 1
            write('''  <h3>''')
            if False:
                _("Word list")
            _v = VFFSL(SL,"_",False)("Word list") # '$_("Word list")' on line 40, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Word list")')) # from line 40, col 7.
            write('''</h3>
''')
        write('''  ''')
        if False:
            _("Corpus")
        _v = VFFSL(SL,"_",False)("Corpus") # '$_("Corpus")' on line 42, col 3
        if _v is not None: write(_filter(_v, rawExpr='$_("Corpus")')) # from line 42, col 3.
        write(''': <b>''')
        _v = VFFSL(SL,"corpname",True) # '$corpname' on line 42, col 20
        if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 42, col 20.
        write('''</b>
''')
        if VFFSL(SL,"usesubcorp",True): # generated from line 43, col 1
            write('''  <br/>''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # '$_("Subcorpus")' on line 44, col 8
            if _v is not None: write(_filter(_v, rawExpr='$_("Subcorpus")')) # from line 44, col 8.
            write(''': <b>''')
            _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 44, col 28
            if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 44, col 28.
            write('''</b>
''')
        if VFFSL(SL,"keywords",True): # generated from line 46, col 1
            write('''  <br/>
  <br/>''')
            if False:
                _("Reference corpus")
            _v = VFFSL(SL,"_",False)("Reference corpus") # '$_("Reference corpus")' on line 48, col 8
            if _v is not None: write(_filter(_v, rawExpr='$_("Reference corpus")')) # from line 48, col 8.
            write(''':  <b>''')
            _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 48, col 36
            if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 48, col 36.
            write('''</b>
''')
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 49, col 3
                write('''    <br/>''')
                if False:
                    _("Reference subcorpus")
                _v = VFFSL(SL,"_",False)("Reference subcorpus") # '$_("Reference subcorpus")' on line 50, col 10
                if _v is not None: write(_filter(_v, rawExpr='$_("Reference subcorpus")')) # from line 50, col 10.
                write(''': <b>''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 50, col 40
                if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 50, col 40.
                write('''</b>
''')
        write('''
''')
        if VFFSL(SL,"processing",True): # generated from line 54, col 1
            write('''    <div id="progress_message">
       ''')
            if False:
                _("Subcorpora operations need more preprocessing. It will take a while, please wait.")
            _v = VFFSL(SL,"_",False)("Subcorpora operations need more preprocessing. It will take a while, please wait.") # '$_("Subcorpora operations need more preprocessing. It will take a while, please wait.")' on line 56, col 8
            if _v is not None: write(_filter(_v, rawExpr='$_("Subcorpora operations need more preprocessing. It will take a while, please wait.")')) # from line 56, col 8.
            write('''
       <p>''')
            if False:
                _("Once the list has been computed, it will be stored, so will be immediately available next time.")
            _v = VFFSL(SL,"_",False)("Once the list has been computed, it will be stored, so will be immediately available next time.") # '$_("Once the list has been computed, it will be stored, so will be immediately available next time.")' on line 57, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Once the list has been computed, it will be stored, so will be immediately available next time.")')) # from line 57, col 11.
            write('''</p>
       <p>''')
            if False:
                _("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")
            _v = VFFSL(SL,"_",False)("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.") # '$_("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")' on line 58, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("You can close this window. Repeating wordlist or keywords queries on the same subcorpus will show you progress of the computation.")')) # from line 58, col 11.
            write('''</p>
       <div id="progress_scale">
       <div id="processbar" style="width:''')
            _v = VFFSL(SL,"processing",True) # '$processing' on line 60, col 42
            if _v is not None: write(_filter(_v, rawExpr='$processing')) # from line 60, col 42.
            write('''%;"></div>
       </div> 
    </div>

<script type="text/javascript"> 

function update_processbar_width(request) {
    ''')
            _v = 'processbar' # "$('processbar')" on line 67, col 5
            if _v is not None: write(_filter(_v, rawExpr="$('processbar')")) # from line 67, col 5.
            write(""".style.width = request.responseText;
    if (request.responseText == '100%') {
        window.location.reload(true);
    }
}

function update_processbar() {
    var params = '""")
            _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 74, col 19
            if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 74, col 19.
            write('''&amp;subcname=''')
            _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 74, col 46
            if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 74, col 46.
            write("""' 
                 + '&amp;attrname=""")
            _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 75, col 35
            if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 75, col 35.
            write("""'
    new Ajax.Request('wordlist_process', {parameters: params, method:'get',
\t\t\t\t         onComplete: update_processbar_width});
    
}

</script>
""")
        write('''

''')
        self.navigation(trans=trans)
        write('''
<table class="result numtab">

''')
        if VFFSL(SL,"Items",True): # generated from line 133, col 1
            write('''  <thead>
  <tr>
    <th><a href="wordlist?''')
            _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 136, col 27
            if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 136, col 27.
            write(''';usesubcorp=''')
            _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 136, col 52
            if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 136, col 52.
            write(''';wlattr=''')
            _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 136, col 75
            if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 136, col 75.
            write(''';wlminfreq=''')
            _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 136, col 93
            if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 136, col 93.
            write(''';wlpat=''')
            _v = VFFSL(SL,"url_wlpat",True) # '$url_wlpat' on line 136, col 110
            if _v is not None: write(_filter(_v, rawExpr='$url_wlpat')) # from line 136, col 110.
            write(''';wlicase=''')
            _v = VFFSL(SL,"wlicase",True) # '$wlicase' on line 136, col 129
            if _v is not None: write(_filter(_v, rawExpr='$wlicase')) # from line 136, col 129.
            write(''';wlmaxitems=''')
            _v = VFFSL(SL,"new_maxitems",True) # '$new_maxitems' on line 136, col 149
            if _v is not None: write(_filter(_v, rawExpr='$new_maxitems')) # from line 136, col 149.
            write(''';wlcache=''')
            _v = VFFSL(SL,"wlcache",True) # '$wlcache' on line 136, col 171
            if _v is not None: write(_filter(_v, rawExpr='$wlcache')) # from line 136, col 171.
            write(''';usearf=''')
            _v = VFFSL(SL,"usearf",True) # '$usearf' on line 136, col 187
            if _v is not None: write(_filter(_v, rawExpr='$usearf')) # from line 136, col 187.
            write('''">''')
            if False:
                _(VFFSL(SL,"wlattr",True))
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"wlattr",True)) # '$_($wlattr)' on line 136, col 196
            if _v is not None: write(_filter(_v, rawExpr='$_($wlattr)')) # from line 136, col 196.
            write('''</a></th>
    <th><a href="wordlist?''')
            _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 137, col 27
            if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 137, col 27.
            write(''';usesubcorp=''')
            _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 137, col 52
            if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 137, col 52.
            write(''';wlattr=''')
            _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 137, col 75
            if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 137, col 75.
            write(''';wlminfreq=''')
            _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 137, col 93
            if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 137, col 93.
            write(''';wlpat=''')
            _v = VFFSL(SL,"url_wlpat",True) # '$url_wlpat' on line 137, col 110
            if _v is not None: write(_filter(_v, rawExpr='$url_wlpat')) # from line 137, col 110.
            write(''';wlicase=''')
            _v = VFFSL(SL,"wlicase",True) # '$wlicase' on line 137, col 129
            if _v is not None: write(_filter(_v, rawExpr='$wlicase')) # from line 137, col 129.
            write(''';wlmaxitems=''')
            _v = VFFSL(SL,"new_maxitems",True) # '$new_maxitems' on line 137, col 149
            if _v is not None: write(_filter(_v, rawExpr='$new_maxitems')) # from line 137, col 149.
            write(''';wlsort=f;wlcache=''')
            _v = VFFSL(SL,"wlcache",True) # '$wlcache' on line 137, col 180
            if _v is not None: write(_filter(_v, rawExpr='$wlcache')) # from line 137, col 180.
            write(''';usearf=''')
            _v = VFFSL(SL,"usearf",True) # '$usearf' on line 137, col 196
            if _v is not None: write(_filter(_v, rawExpr='$usearf')) # from line 137, col 196.
            write('''">''')
            if False:
                _("Freq")
            _v = VFFSL(SL,"_",False)("Freq") # '$_("Freq")' on line 137, col 205
            if _v is not None: write(_filter(_v, rawExpr='$_("Freq")')) # from line 137, col 205.
            write('''</a></th>
  </tr>
  </thead>
''')
            for i in VFFSL(SL,"Items",True): # generated from line 140, col 3
                write('''    <tr class="''')
                _v = VFN(VFFSL(SL,"i",True),"get",False)('class') # "$i.get('class')" on line 141, col 16
                if _v is not None: write(_filter(_v, rawExpr="$i.get('class')")) # from line 141, col 16.
                write('''" >
''')
                url_str = VFFSL(SL,"urlquote",False)(VFN(VFFSL(SL,"i.str",True),"replace",False)('"', '\\"'))
                write('''      <td class="left">''')
                _v = VFFSL(SL,"i.str",True) # '$i.str' on line 143, col 24
                if _v is not None: write(_filter(_v, rawExpr='$i.str')) # from line 143, col 24.
                write('''</td><td>
      <a href="first?''')
                _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 144, col 22
                if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 144, col 22.
                write(''';usesubcorp=''')
                _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 144, col 47
                if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 144, col 47.
                write(''';cql=%22''')
                _v = VFFSL(SL,"url_str",True) # '$url_str' on line 144, col 70
                if _v is not None: write(_filter(_v, rawExpr='$url_str')) # from line 144, col 70.
                write('''%22;default_attr=''')
                _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 144, col 95
                if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 144, col 95.
                write(''';qmcase=1;queryselector=cqlrow">''')
                _v = VFFSL(SL,"i.freq",True) # '$i.freq' on line 144, col 134
                if _v is not None: write(_filter(_v, rawExpr='$i.freq')) # from line 144, col 134.
                write('''</a>
      </td>
    </tr>
''')
            write('''
''')
            #  keywords
        elif VFFSL(SL,"Keywords",True): # generated from line 150, col 1
            write('''  <thead>
    <tr>
      <th></th>
      <th></th>
      <th colspan="3" border="1"><i>''')
            _v = VFFSL(SL,"corpname",True) # '$corpname' on line 155, col 37
            if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 155, col 37.
            if VFFSL(SL,"usesubcorp",True): # generated from line 155, col 46
                write(''':''')
                _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 155, col 63
                if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 155, col 63.
            write('''
      <th></th>
      <th colspan="3" border="1"><i>''')
            _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 157, col 37
            if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 157, col 37.
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 157, col 50
                write(''':''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 157, col 71
                if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 157, col 71.
            write('''
      <th></th>
      <th></th>
    </tr>
    <tr>
      <th>''')
            if False:
                _(VFFSL(SL,"wlattr",True))
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"wlattr",True)) # '$_($wlattr)' on line 162, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_($wlattr)')) # from line 162, col 11.
            write('''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Freq")
            _v = VFFSL(SL,"_",False)("Freq") # '$_("Freq")' on line 164, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Freq")')) # from line 164, col 11.
            write('''</th>
      <th>''')
            if False:
                _("ARF")
            _v = VFFSL(SL,"_",False)("ARF") # '$_("ARF")' on line 165, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("ARF")')) # from line 165, col 11.
            write('''</th>
      <th>''')
            if False:
                _("ARF/mill")
            _v = VFFSL(SL,"_",False)("ARF/mill") # '$_("ARF/mill")' on line 166, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("ARF/mill")')) # from line 166, col 11.
            write('''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Freq")
            _v = VFFSL(SL,"_",False)("Freq") # '$_("Freq")' on line 168, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Freq")')) # from line 168, col 11.
            write('''</th>
      <th>''')
            if False:
                _("ARF")
            _v = VFFSL(SL,"_",False)("ARF") # '$_("ARF")' on line 169, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("ARF")')) # from line 169, col 11.
            write('''</th>
      <th>''')
            if False:
                _("ARF/mill")
            _v = VFFSL(SL,"_",False)("ARF/mill") # '$_("ARF/mill")' on line 170, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("ARF/mill")')) # from line 170, col 11.
            write('''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Score")
            _v = VFFSL(SL,"_",False)("Score") # '$_("Score")' on line 172, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Score")')) # from line 172, col 11.
            write('''</th>
    </tr>
  </thead>
''')
            for k in VFFSL(SL,"Keywords",True): # generated from line 175, col 3
                write('''    <tr
''')
                if VFN(VFFSL(SL,"k",True),"has_key",False)('class'): # generated from line 177, col 5
                    write('''      class="''')
                    _v = VFFSL(SL,"k",True)['class'] # "$k['class']" on line 178, col 14
                    if _v is not None: write(_filter(_v, rawExpr="$k['class']")) # from line 178, col 14.
                    write('''"
''')
                write('''    >
      <td class="left">''')
                _v = VFFSL(SL,"k",True)['str'] # "$k['str']" on line 181, col 24
                if _v is not None: write(_filter(_v, rawExpr="$k['str']")) # from line 181, col 24.
                write('''</td>
      <td></td>
''')
                url_str = VFFSL(SL,"urlquote",False)(VFN(VFFSL(SL,"k",True)['str'],"replace",False)('"', '\\"'))
                write('''      <td><a href="first?''')
                _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 184, col 26
                if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 184, col 26.
                write(''';usesubcorp=''')
                _v = VFFSL(SL,"url_usesubcorp",True) # '$url_usesubcorp' on line 184, col 51
                if _v is not None: write(_filter(_v, rawExpr='$url_usesubcorp')) # from line 184, col 51.
                write(''';phrase=''')
                _v = VFFSL(SL,"url_str",True) # '$url_str' on line 184, col 74
                if _v is not None: write(_filter(_v, rawExpr='$url_str')) # from line 184, col 74.
                write(''';default_attr=''')
                _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 184, col 96
                if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 184, col 96.
                write(''';qmcase=1;queryselector=phraserow">''')
                _v = VFFSL(SL,"k",True)['freq'] # "$k['freq']" on line 184, col 138
                if _v is not None: write(_filter(_v, rawExpr="$k['freq']")) # from line 184, col 138.
                write('''</a></td>
      <td>''')
                _v = VFFSL(SL,"k",True)['arf'] # "$k['arf']" on line 185, col 11
                if _v is not None: write(_filter(_v, rawExpr="$k['arf']")) # from line 185, col 11.
                write('''</td>
      <td>''')
                _v = VFFSL(SL,"k",True)['arf_mill'] # "$k['arf_mill']" on line 186, col 11
                if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill']")) # from line 186, col 11.
                write('''</td>
      <td></td>
      <td>
''')
                if VFFSL(SL,"k",True)['freq_ref']: # generated from line 189, col 7
                    write('''        <a href="first?''')
                    _v = VFFSL(SL,"corpname_url",True) # '$corpname_url' on line 190, col 24
                    if _v is not None: write(_filter(_v, rawExpr='$corpname_url')) # from line 190, col 24.
                    write(''';usesubcorp=''')
                    _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 190, col 49
                    if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 190, col 49.
                    write(''';phrase=''')
                    _v = VFFSL(SL,"url_str",True) # '$url_str' on line 190, col 72
                    if _v is not None: write(_filter(_v, rawExpr='$url_str')) # from line 190, col 72.
                    write(''';default_attr=''')
                    _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 190, col 94
                    if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 190, col 94.
                    write(''';qmcase=1;queryselector=phraserow">''')
                    _v = VFFSL(SL,"k",True)['freq_ref'] # "$k['freq_ref']" on line 190, col 136
                    if _v is not None: write(_filter(_v, rawExpr="$k['freq_ref']")) # from line 190, col 136.
                    write('''</a>
''')
                else: # generated from line 191, col 7
                    write('''        0
''')
                write('''      </td>
      <td>''')
                _v = VFFSL(SL,"k",True)['arf_ref'] # "$k['arf_ref']" on line 195, col 11
                if _v is not None: write(_filter(_v, rawExpr="$k['arf_ref']")) # from line 195, col 11.
                write('''</td>
      <td>''')
                _v = VFFSL(SL,"k",True)['arf_mill_ref'] # "$k['arf_mill_ref']" on line 196, col 11
                if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill_ref']")) # from line 196, col 11.
                write('''</td>
      <td></td>
      <td> ''')
                _v = VFFSL(SL,"k",True)['score'] # "$k['score']" on line 198, col 12
                if _v is not None: write(_filter(_v, rawExpr="$k['score']")) # from line 198, col 12.
                write('''</td>
    </tr>
''')
        else: # generated from line 201, col 1
            #  no keywords && no items
            write('''  <i>''')
            if False:
                _("Nothing found.")
            _v = VFFSL(SL,"_",False)("Nothing found.") # '$_("Nothing found.")' on line 203, col 6
            if _v is not None: write(_filter(_v, rawExpr='$_("Nothing found.")')) # from line 203, col 6.
            write('''</i>
''')
        write('''</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_97935478
        write('''
''')
        _orig_filter_97931416 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # '$navigation("next2")' on line 209, col 1
        if _v is not None: write(_filter(_v, rawExpr='$navigation("next2")')) # from line 209, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_97931416
        write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''





''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'next'"

    _mainCheetahMethod_for_wordlist= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist()).run()


